///////////////////////////////////////////////////////////////
//                                                           //
//  proxy.cpp-distinguish read from write for operator()     //
//  v1.0                                                     //
//               Manual Page                                 //
//                                                           //
//  Language:    Visual C++, ver 6.0                         //
//  System:      Window NT, DOS 6.2                          //
//  Author:      Yanwen Liu, Syracuse University             //
//               tele.: 315-476-8307                         //
//                                                           //
//                    copyright (c) 1999                     //
//    all rights granted to users except right to publish    //
//                                                           //
///////////////////////////////////////////////////////////////


#pragma warning(disable : 4786)
#include "SparseMatrix.h"
#include <iostream>   // <<, cout, cerr
using namespace std;

//-----------------------< test stub >------------------------------------
#ifdef TEST_PROXY

void main(){
	cout<<"\nTest Stub of Proxy\n"
	spMat <int>  matrix_1(3,3),matrix_2(3,3);	
	cout<<"\nDemo of read in range\n\n";
	matrix_1(2,1)=3;matrix_1(2,2)=4;
	cout<<"\nDemo of read out of range\n\n";
	spMat<int> matrix_copy(10,20);
	cout<<matrix_copy(30,5)<<"\n"<<"\nDemo of write out of range\n\n\n";
	matrix_copy(30,5)=1008;///////////////////
	cout<<"\nDemo of write in  range\n\n\n";
	matrix_copy(9,5)=1008;///////////////////
	return;
}

#endif